set basename=lightlcd
set gccdir=d:\68332\xgcc

@echo Cleaning....
@del %basename%.o
@del %basename%.s19
@del %basename%.txt
@del %basename%.dbg
@del %basename%.cof

gcc -c -g -b 68k -mcpu32 -I%gccdir%\68k\2_8_1\include lightlcd.cpp
@if errorlevel 1 goto bad

ld -M -o %basename%.cof -L%gccdir%/68k/2_8_1/mcpu32 -L%gccdir%/68k/2_8_1 -L%gccdir% lightlcd.o -T rm_rom.ld > %basename%.map
@if errorlevel 1 goto bad

68k-objc -O srec %basename%.cof %basename%.s19
@if errorlevel 1 goto bad

@copy %basename%.s19 %basename%.txt

68k-objd --source %basename%.cof > %basename%.dbg
@if errorlevel 1 goto bad

goto bail

:bad
@echo error!!!
goto bail

:bail
@echo Done