//	lcdimage.h
#ifndef __LCDIMAGE_H__
#define __LCDIMAGE_H__

#ifndef __LCDIMAGE_DEFINED
#define __LCDIMAGE_DEFINED

//	the LCDIMAGE data is serial data from topleft
//	to bottomright of image, one byte per pixel
//
//	if you're short on memory, you may want to 
//	consider modifying this (or creating a new
//	struct) to use one bit per pixel as a mono
//	map. I chose byte per pixel here to allow,
//	possibly, using paging to create shades
//	of grey, and also for ease of conversion
//	of bitmaps to LCDIMAGEs

typedef struct _LCDIMAGE
{
	USHORT	nWidth;
	USHORT	nHeight;
	BYTE	rgData[0];

} LCDIMAGE;

typedef LCDIMAGE* LPLCDIMAGE;

#endif //__LCDIMAGE_DEFINED

#endif //__LCDIMAGE_H__
